﻿@model RecordModel

@{
    ViewData["Title"] = "Редактирование продукта";
    Layout = "_Layout";
}



<div asp-validation-summary="All" class="text-danger"></div>
<form asp-action="Edit" asp-controller="StorageInfo"  method="post">
    <div class="form-group">
        <label asp-for="Key" class="control-label"></label>
        <div>
            <span asp-validation-for="Key" class="text-danger"></span>
        </div>
        <input asp-for="Key" class="form-control" value="@Model.Key" />
    </div>
    <div class="form-group">
        <label asp-for="Value" class="control-label"></label>
        <div>
            <span asp-validation-for="Value" class="text-danger"></span>
        </div>
        <input asp-for="Value" class="form-control" value="@Model.Value" />
    </div>

    <div class="form-group ">
        <label asp-for="ChangeDate" class="control-label"></label>        
        <span class="form-control">@Model.ChangeDate</span>
        
    </div>

    <div class="form-group ">
        <label  asp-for="CreateDate" class="control-label"></label>         
        <span   class="form-control" value="@Model.CreateDate">@Model.CreateDate</span>
        <input asp-for="@Model.CreateDate" type="hidden" />
    </div>

    <div class="form-group ">
        <label asp-for="CountRequest" class="control-label"></label>
        <span class="form-control">@Model.CountRequest</span>
    </div>

    <div class="text-center">
        <button type="submit" class="btn btn-primary">Сохранить</button>
        <a asp-action="Index" class="btn btn-default">Отменить</a>
    </div>

</form>


<div>
    <a asp-action="Index">Вернуться назад</a>
</div>

